package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author lch
 */
@Getter
@AllArgsConstructor
public enum StorageCodeEnum {

    /**
     * 料箱区、AGV区、人工作业区 只有这三种 根据code来判断 是表base_storage中3条记录
     */
    LX("LX", "10","料箱区"),
    AGV("AGV","09", "AGV区"),
    RG("RG", "08","人工作业区"),
    ;
    private String value;
    private String erpValue;
    private String desc;

    public static StorageCodeEnum getStorageCodeEnum(String value) {
        for (StorageCodeEnum typeEnum : StorageCodeEnum.values()) {
            if (typeEnum.getValue().equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }
}
